using Domain.Entities;

namespace Models.Interfaces
{
    public interface IPhSLookUpRepository
    {
        Task<IEnumerable<ELookUpItem>> CustomersListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> InstitutionsListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> PatientsListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> ProfessionalsListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> PeopleListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> BussinessUnitsListAsync(string filter, int limit = 10);
        Task<IEnumerable<EProductLookupItem>> ProductsListAsync(string filter, int limit = 10);
        Task<IEnumerable<ELookUpItem>> PaymentTermsListAsync(string filter, int limit = 10);
    }
}